<html>
<head>
<title>Ogre::AtomicObject&lt; T &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AtomicObject.html">AtomicObject</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::AtomicObject&lt; T &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::AtomicObject" -->
<p><code>#include &lt;<a class="el" href="OgreAtomicWrappers_8h_source.html">OgreAtomicWrappers.h</a>&gt;</code></p>

<p><a href="classOgre_1_1AtomicObject-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AtomicObject.html#a1a735a151b7c9e97b3095ce59f3fb35f">AtomicObject</a> (const T &amp;initial)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AtomicObject.html#a140023f984d7c31ce54cedfeea8e52f4">AtomicObject</a> (const <a class="el" href="classOgre_1_1AtomicObject.html">AtomicObject</a>&lt; T &gt; &amp;cousin)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AtomicObject.html#afddc516687dc1689a52799d392314ac7">AtomicObject</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AtomicObject.html#a8a364f1b9caf8e6370cf934df98d2b65">operator=</a> (const <a class="el" href="classOgre_1_1AtomicObject.html">AtomicObject</a>&lt; T &gt; &amp;cousin)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AtomicObject.html#a6a0ec9d4641d7ad76556dce12dcc389b">get</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AtomicObject.html#a9e26319c6463bb3c6fc7a1fbd41371ae">set</a> (const T &amp;v)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AtomicObject.html#a1b10b36d617340e20ad8bb4cde753624">cas</a> (const T &amp;old, const T &amp;nu)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AtomicObject.html#ab25c34a298a2e309bc3b5289dd77a920">operator++</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AtomicObject.html#a270b27b1ae5c86ea245abb600c1fe6a4">operator++</a> (int)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AtomicObject.html#a522c27e085a3ed54877a55749c1ed234">operator--</a> (int)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AtomicObject.html#a9aabeb9790ae20baf90b4447626436de">operator+=</a> (const T &amp;add)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgreThreadDefinesTBB_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a> volatile T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AtomicObject.html#ac7c144351c2178e0401c34c2bbd31680">mField</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;class T&gt;<br/>
class Ogre::AtomicObject&lt; T &gt;</h3>


<p>Definition at line <a class="el" href="OgreAtomicWrappers_8h_source.html#l00043">43</a> of file <a class="el" href="OgreAtomicWrappers_8h_source.html">OgreAtomicWrappers.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a1a735a151b7c9e97b3095ce59f3fb35f"></a><!-- doxytag: member="Ogre::AtomicObject::AtomicObject" ref="a1a735a151b7c9e97b3095ce59f3fb35f" args="(const T &amp;initial)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AtomicObject.html">Ogre::AtomicObject</a>&lt; T &gt;::<a class="el" href="classOgre_1_1AtomicObject.html">AtomicObject</a> </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>initial</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAtomicWrappers_8h_source.html#l00047">47</a> of file <a class="el" href="OgreAtomicWrappers_8h_source.html">OgreAtomicWrappers.h</a>.</p>

</div>
</div>
<a class="anchor" id="a140023f984d7c31ce54cedfeea8e52f4"></a><!-- doxytag: member="Ogre::AtomicObject::AtomicObject" ref="a140023f984d7c31ce54cedfeea8e52f4" args="(const AtomicObject&lt; T &gt; &amp;cousin)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AtomicObject.html">Ogre::AtomicObject</a>&lt; T &gt;::<a class="el" href="classOgre_1_1AtomicObject.html">AtomicObject</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AtomicObject.html">AtomicObject</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>cousin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAtomicWrappers_8h_source.html#l00051">51</a> of file <a class="el" href="OgreAtomicWrappers_8h_source.html">OgreAtomicWrappers.h</a>.</p>

</div>
</div>
<a class="anchor" id="afddc516687dc1689a52799d392314ac7"></a><!-- doxytag: member="Ogre::AtomicObject::AtomicObject" ref="afddc516687dc1689a52799d392314ac7" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AtomicObject.html">Ogre::AtomicObject</a>&lt; T &gt;::<a class="el" href="classOgre_1_1AtomicObject.html">AtomicObject</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAtomicWrappers_8h_source.html#l00055">55</a> of file <a class="el" href="OgreAtomicWrappers_8h_source.html">OgreAtomicWrappers.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a1b10b36d617340e20ad8bb4cde753624"></a><!-- doxytag: member="Ogre::AtomicObject::cas" ref="a1b10b36d617340e20ad8bb4cde753624" args="(const T &amp;old, const T &amp;nu)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1AtomicObject.html">Ogre::AtomicObject</a>&lt; T &gt;::<a class="el" href="classOgre_1_1AtomicObject.html#a1b10b36d617340e20ad8bb4cde753624">cas</a> </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>old</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>nu</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAtomicWrappers_8h_source.html#l00075">75</a> of file <a class="el" href="OgreAtomicWrappers_8h_source.html">OgreAtomicWrappers.h</a>.</p>

<p>References <a class="el" href="OgreAtomicWrappers_8h_source.html#l00112">Ogre::AtomicObject&lt; T &gt;::mField</a>, and <a class="el" href="OgrePrerequisites_8h.html#ace4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a>.</p>

</div>
</div>
<a class="anchor" id="a6a0ec9d4641d7ad76556dce12dcc389b"></a><!-- doxytag: member="Ogre::AtomicObject::get" ref="a6a0ec9d4641d7ad76556dce12dcc389b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classOgre_1_1AtomicObject.html">Ogre::AtomicObject</a>&lt; T &gt;::<a class="el" href="classOgre_1_1AtomicObject.html#a6a0ec9d4641d7ad76556dce12dcc389b">get</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAtomicWrappers_8h_source.html#l00063">63</a> of file <a class="el" href="OgreAtomicWrappers_8h_source.html">OgreAtomicWrappers.h</a>.</p>

<p>References <a class="el" href="OgreAtomicWrappers_8h_source.html#l00112">Ogre::AtomicObject&lt; T &gt;::mField</a>, and <a class="el" href="OgrePrerequisites_8h.html#ace4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a>.</p>

<p>Referenced by <a class="el" href="OgreAtomicWrappers_8h_source.html#l00058">Ogre::AtomicObject&lt; T &gt;::operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="ab25c34a298a2e309bc3b5289dd77a920"></a><!-- doxytag: member="Ogre::AtomicObject::operator++" ref="ab25c34a298a2e309bc3b5289dd77a920" args="(void)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classOgre_1_1AtomicObject.html">Ogre::AtomicObject</a>&lt; T &gt;::operator++ </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAtomicWrappers_8h_source.html#l00083">83</a> of file <a class="el" href="OgreAtomicWrappers_8h_source.html">OgreAtomicWrappers.h</a>.</p>

<p>References <a class="el" href="OgreAtomicWrappers_8h_source.html#l00112">Ogre::AtomicObject&lt; T &gt;::mField</a>, and <a class="el" href="OgrePrerequisites_8h.html#ace4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a>.</p>

</div>
</div>
<a class="anchor" id="a270b27b1ae5c86ea245abb600c1fe6a4"></a><!-- doxytag: member="Ogre::AtomicObject::operator++" ref="a270b27b1ae5c86ea245abb600c1fe6a4" args="(int)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classOgre_1_1AtomicObject.html">Ogre::AtomicObject</a>&lt; T &gt;::operator++ </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAtomicWrappers_8h_source.html#l00089">89</a> of file <a class="el" href="OgreAtomicWrappers_8h_source.html">OgreAtomicWrappers.h</a>.</p>

<p>References <a class="el" href="OgreAtomicWrappers_8h_source.html#l00112">Ogre::AtomicObject&lt; T &gt;::mField</a>, and <a class="el" href="OgrePrerequisites_8h.html#ace4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a>.</p>

</div>
</div>
<a class="anchor" id="a9aabeb9790ae20baf90b4447626436de"></a><!-- doxytag: member="Ogre::AtomicObject::operator+=" ref="a9aabeb9790ae20baf90b4447626436de" args="(const T &amp;add)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classOgre_1_1AtomicObject.html">Ogre::AtomicObject</a>&lt; T &gt;::operator+= </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>add</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAtomicWrappers_8h_source.html#l00101">101</a> of file <a class="el" href="OgreAtomicWrappers_8h_source.html">OgreAtomicWrappers.h</a>.</p>

<p>References <a class="el" href="OgreAtomicWrappers_8h_source.html#l00112">Ogre::AtomicObject&lt; T &gt;::mField</a>, and <a class="el" href="OgrePrerequisites_8h.html#ace4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a>.</p>

</div>
</div>
<a class="anchor" id="a522c27e085a3ed54877a55749c1ed234"></a><!-- doxytag: member="Ogre::AtomicObject::operator&#45;&#45;" ref="a522c27e085a3ed54877a55749c1ed234" args="(int)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classOgre_1_1AtomicObject.html">Ogre::AtomicObject</a>&lt; T &gt;::operator-- </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAtomicWrappers_8h_source.html#l00095">95</a> of file <a class="el" href="OgreAtomicWrappers_8h_source.html">OgreAtomicWrappers.h</a>.</p>

<p>References <a class="el" href="OgreAtomicWrappers_8h_source.html#l00112">Ogre::AtomicObject&lt; T &gt;::mField</a>, and <a class="el" href="OgrePrerequisites_8h.html#ace4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a>.</p>

</div>
</div>
<a class="anchor" id="a8a364f1b9caf8e6370cf934df98d2b65"></a><!-- doxytag: member="Ogre::AtomicObject::operator=" ref="a8a364f1b9caf8e6370cf934df98d2b65" args="(const AtomicObject&lt; T &gt; &amp;cousin)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AtomicObject.html">Ogre::AtomicObject</a>&lt; T &gt;::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AtomicObject.html">AtomicObject</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>cousin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAtomicWrappers_8h_source.html#l00058">58</a> of file <a class="el" href="OgreAtomicWrappers_8h_source.html">OgreAtomicWrappers.h</a>.</p>

<p>References <a class="el" href="OgreAtomicWrappers_8h_source.html#l00063">Ogre::AtomicObject&lt; T &gt;::get()</a>.</p>

</div>
</div>
<a class="anchor" id="a9e26319c6463bb3c6fc7a1fbd41371ae"></a><!-- doxytag: member="Ogre::AtomicObject::set" ref="a9e26319c6463bb3c6fc7a1fbd41371ae" args="(const T &amp;v)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AtomicObject.html">Ogre::AtomicObject</a>&lt; T &gt;::<a class="el" href="structOgre_1_1set.html">set</a> </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAtomicWrappers_8h_source.html#l00069">69</a> of file <a class="el" href="OgreAtomicWrappers_8h_source.html">OgreAtomicWrappers.h</a>.</p>

<p>References <a class="el" href="OgreAtomicWrappers_8h_source.html#l00112">Ogre::AtomicObject&lt; T &gt;::mField</a>, and <a class="el" href="OgrePrerequisites_8h.html#ace4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ac7c144351c2178e0401c34c2bbd31680"></a><!-- doxytag: member="Ogre::AtomicObject::mField" ref="ac7c144351c2178e0401c34c2bbd31680" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgreThreadDefinesTBB_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a> volatile T <a class="el" href="classOgre_1_1AtomicObject.html">Ogre::AtomicObject</a>&lt; T &gt;::<a class="el" href="classOgre_1_1AtomicObject.html#ac7c144351c2178e0401c34c2bbd31680">mField</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAtomicWrappers_8h_source.html#l00112">112</a> of file <a class="el" href="OgreAtomicWrappers_8h_source.html">OgreAtomicWrappers.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAtomicWrappers_8h_source.html#l00075">Ogre::AtomicObject&lt; T &gt;::cas()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00063">Ogre::AtomicObject&lt; T &gt;::get()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00083">Ogre::AtomicObject&lt; T &gt;::operator++()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00101">Ogre::AtomicObject&lt; T &gt;::operator+=()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00095">Ogre::AtomicObject&lt; T &gt;::operator--()</a>, and <a class="el" href="OgreAtomicWrappers_8h_source.html#l00069">Ogre::AtomicObject&lt; T &gt;::set()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAtomicWrappers_8h_source.html">OgreAtomicWrappers.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
